### Hierarchy

- Briefcase_EnterOfflineMode_REDIRECTION

## Index

### Properties

- PATH

### Methods

- copyOfResponse

### Object literals

- BODY
- RESPONSE

## Properties

### Static Private PATH

PATH: string = "tenants/${tenantId}/sessions/${sessionId}/dialogs/10/actions/alias_EnterOfflineMode"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:5

## Methods

### Static copyOfResponse

- copyOfResponse(): object

- - Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:47

  #### Returns object

## Object literals

### Static Private BODY

BODY: object

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:7

### type

type: string = "hxgn.api.dialog.ActionParameters"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:13

### pendingWrites

pendingWrites: object

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:8

### id

id: string = "1"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:9

### properties

properties: undefined[] = []

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:10

### type

type: string = "hxgn.api.dialog.Record"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:11

### Static Private RESPONSE

RESPONSE: object

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:16

### dialogAlias

dialogAlias: string = "Briefcase_EnterOfflineMode_FORM"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:38

### dialogClassName

dialogClassName: string = "com.catavolt.app.extender.dialog.ZZRunCatavoltSatelliteActionEditorModel"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:34

### dialogDescription

dialogDescription: string = "New Run Action"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:44

### dialogId

dialogId: string = "13"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:32

### dialogMode

dialogMode: string = "CREATE"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:17

### dialogName

dialogName: string = "Briefcase_EnterOfflineMode_FORM"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:42

### dialogType

dialogType: string = "hxgn.api.dialog.EditorDialog"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:36

### domainClassName

domainClassName: string = "com.catavolt.app.extender.domain.ZZRunCatavoltSatelliteAction"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:35

### id

id: string = "13"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:41

### recordId

recordId: string = "null"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:37

### refreshNeeded

refreshNeeded: boolean = false

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:40

### selectedViewId

selectedViewId: string = "AAABACcaAAAAAGBT1241836571:477:139058878:13"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:43

### sessionId

sessionId: string = "${sessionId}"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:30

### tenantId

tenantId: string = "${tenantId}"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:39

### type

type: string = "hxgn.api.dialog.DialogRedirection"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:31

### viewMode

viewMode: string = "READ"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:33

### referringObject

referringObject: object

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:18

### actionId

actionId: string = "alias_EnterOfflineMode"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:23

### dialogAlias

dialogAlias: string = "Briefcase_Briefcase_Details"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:21

### dialogId

dialogId: string = "10"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:26

### dialogMode

dialogMode: string = "READ"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:20

### dialogName

dialogName: string = "Briefcase_Briefcase_Details"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:27

### dialogProperties

dialogProperties: object

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:22

#### Type declaration

### dialogType

dialogType: string = "hxgn.api.dialog.EditorDialog"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:19

### rootDialogId

rootDialogId: string = "8"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:28

### rootDialogName

rootDialogName: string = "Briefcase_Briefcase_FORM"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:24

### type

type: string = "hxgn.api.dialog.ReferringDialog"

- Defined in ppm/samples/Briefcase_EnterOfflineMode_REDIRECTION.ts:25

Generated using TypeDoc